rpms/kdebase/FC-5 kdebase-3.5.2-kconf_update-klipper.patch, NONE, 1.1 kdebase-3.5.3-1-redhat.patch, NONE, 1.1 kdebase.spec, 1.167, 1.168 kdebase-3.5.2-1-redhat.patch, 1.2, NONE kdebase-3.5.2-kicker-konsole-bookmarks.patch, 1.1, NONE kdebase-3.5.2-konsole.patch, 1.1, NONE kdebase-3.5.2-kwin.patch, 1.2, NONE

fedora-cvs-commits at redhat.com fedora-cvs-commits at redhat.com
Thu Jun 8 12:56:30 UTC 2006


Author: than

Update of /cvs/dist/rpms/kdebase/FC-5
In directory cvs.devel.redhat.com:/tmp/cvs-serv19644

Modified Files:
	kdebase.spec 
Added Files:
	kdebase-3.5.2-kconf_update-klipper.patch 
	kdebase-3.5.3-1-redhat.patch 
Removed Files:
	kdebase-3.5.2-1-redhat.patch 
	kdebase-3.5.2-kicker-konsole-bookmarks.patch 
	kdebase-3.5.2-konsole.patch kdebase-3.5.2-kwin.patch 
Log Message:
update to 3.5.3


kdebase-3.5.2-kconf_update-klipper.patch:
 klipper-kde31.sh |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

--- NEW FILE kdebase-3.5.2-kconf_update-klipper.patch ---
--- kdebase-3.5.2/klipper/klipper-kde31.sh.me	2006-05-24 15:36:19.000000000 +0200
+++ kdebase-3.5.2/klipper/klipper-kde31.sh	2006-05-24 15:36:29.000000000 +0200
@@ -2,7 +2,5 @@
 filename=`kde-config --localprefix`share/autostart/klipper.desktop
 if grep 'Hidden=true' "$filename" > /dev/null 2> /dev/null; then
   echo AutoStart=false
-else
-  echo AutoStart=true
 fi
-rm -f "$filename"
\ No newline at end of file
+rm -f "$filename"

kdebase-3.5.3-1-redhat.patch:
 kdebase-3.4.91/kde.pamd |   16 +++++++----
 kdebase-3.5.1/startkde  |   68 +++++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 69 insertions(+), 15 deletions(-)

--- NEW FILE kdebase-3.5.3-1-redhat.patch ---
--- kdebase-3.4.91/kde.pamd.redhat	2005-09-10 10:26:16.000000000 +0200
+++ kdebase-3.4.91/kde.pamd	2005-09-27 18:16:15.000000000 +0200
@@ -1,7 +1,11 @@
 #%PAM-1.0
-auth       required	/lib/security/pam_pwdb.so shadow nullok
-auth       required	/lib/security/pam_nologin.so
-account    required	/lib/security/pam_pwdb.so
-password   required	/lib/security/pam_cracklib.so
-password   required	/lib/security/pam_pwdb.so shadow nullok use_authtok
-session    required	/lib/security/pam_pwdb.so
+auth       sufficient	pam_timestamp.so
+auth       include     system-auth
+account    required	pam_nologin.so
+account    include     system-auth
+password   include     system-auth
+session    include	system-auth
+session    required    pam_loginuid.so
+session    optional	pam_timestamp.so
+session    optional    pam_selinux.so
+session    optional	pam_console.so
--- kdebase-3.5.1/startkde.redhat	2006-01-19 18:03:19.000000000 +0100
+++ kdebase-3.5.1/startkde	2006-02-15 18:58:10.000000000 +0100
@@ -1,8 +1,56 @@
 #!/bin/sh
 #
 #  DEFAULT KDE STARTUP SCRIPT ( KDE-3.5.3 )
+#  Modified for Red Hat Linux
 #
 
+unset BLOCK_SIZE # breaks parsing of df output
+shopt -u -o noclobber # allow overwriting of files with '>'
+
+# set up user environment if not present
+# check for space on /tmp and "$HOME" and for write access
+#  error exit, if not
+space_tmp=`LANG=C df /tmp | xargs | cut -d" " -f11`
+homedir_mount=`LANG=C df "$HOME" | xargs | cut -d" " -f8`
+
+if [ "$homedir_mount" = "AFS" -a -x "`which fs 2>/dev/null`" ] ; then
+    # check for AFS
+    space_home=`LANG=C fs df "$HOME" | xargs | cut -d" " -f10`
+else
+    # check regular mounts
+    space_home=`LANG=C df "$HOME" | xargs | cut -d" " -f11`
+fi
+
+if [ $space_tmp -lt 50 ]; then
+    echo $"Not enough free disk space on /tmp"
+    exit 1
+fi
+
+if [ $space_home -lt 25 ]; then
+    echo $"Not enough free disk space on "$HOME""
+    exit 1
+fi
+testfile_tmp=`mktemp /tmp/KDE.startkde.XXXXXX`
+testfile_home=`mktemp "$HOME"/KDE.startkde.XXXXXX`
+
+if ! echo TEST_TEXT >$testfile_tmp 2>/dev/null ; then
+    echo $"You don't have write permissions for /tmp"
+    exit 1
+fi
+rm -f $testfile_tmp
+
+if ! echo TEST_TEXT >$testfile_home 2>/dev/null ; then
+     echo $"You don't have write permissions for "$HOME""
+     exit 1
+fi
+rm -f $testfile_home
+
+[ -d "$HOME"/.kde/share/config ] || mkdir -p "$HOME"/.kde/share/config
+
+if [ ! -e "$HOME"/.kde/share/config/emaildefaults ]; then
+  /usr/bin/mailsettings >"$HOME"/.kde/share/config/emaildefaults
+fi
+
 # When the X server dies we get a HUP signal from xinit. We must ignore it
 # because we still need to do some cleanup.
 trap 'echo GOT SIGHUP' HUP
@@ -14,12 +62,12 @@
 	exit 1
 fi
 
-# Set the background to plain grey.
+# Set the background to the Red Hat default blue
 # The standard X background is nasty, causing moire effects and exploding
 # people's heads. We use colours from the standard KDE palette for those with
 # palettised displays.
 if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
-  xsetroot -solid "#000000"
+  xsetroot -solid "#5477A0"
 fi
 
 # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
@@ -64,7 +112,7 @@
 cat >$kdehome/share/config/startupconfigkeys <<EOF
 kcminputrc Mouse cursorTheme ''
 kcminputrc Mouse cursorSize ''
-kpersonalizerrc General FirstLogin true
+kpersonalizerrc General FirstLogin false
 ksplashrc KSplash Theme Default
 kcmrandrrc Display ApplyOnStartup false
 kcmrandrrc [Screen0]
@@ -135,8 +183,8 @@
     done
 fi
 
-# Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
-# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
+# Source scripts found in <localprefix>/env/*.sh and /etc/kde/env/*.sh
+# (where <localprefix> is $KDEHOME or ~/.kde)
 #
 # This is where you can define environment variables that will be available to
 # all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
@@ -147,10 +195,11 @@
 # For anything else (that doesn't set env vars, or that needs a window manager),
 # better use the Autostart folder.
 
-exepath=`kde-config --path exe | tr : '\n'`
+exepath=`kde-config --path exe | tr : '\n'`
+envpath=/etc/kde/env/
 
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'`; do
-  for file in "$prefix"*.sh; do
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'` $envpath ; do
+  for file in "$prefix"*.sh ; do
     test -r "$file" && . "$file"
   done
 done
@@ -339,7 +388,8 @@
 echo 'startkde: Running shutdown scripts...'  1>&2
 
 # Run scripts found in $KDEDIRS/shutdown
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
+shutdownpath=/etc/kde/shutdown/
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'` $shutdownpath; do
   for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
     test -x "$prefix$file" && "$prefix$file"
   done


Index: kdebase.spec
===================================================================
RCS file: /cvs/dist/rpms/kdebase/FC-5/kdebase.spec,v
retrieving revision 1.167
retrieving revision 1.168
diff -u -r1.167 -r1.168
--- kdebase.spec	23 May 2006 17:05:54 -0000	1.167
+++ kdebase.spec	8 Jun 2006 12:56:28 -0000	1.168
@@ -7,8 +7,8 @@
 %define include_kappfinder 0
 
 %define qt_version 3.3.5
-%define arts_version 1.5.2
-%define kde_version 3.5.2
+%define arts_version 1.5.3
+%define kde_version 3.5.3
 %define kdelibs_epoch 6
 %define arts_epoch 8
 %define make_cvs 1
@@ -19,8 +19,8 @@
 
 Summary: K Desktop Environment - core files
 Name: kdebase
-Version: 3.5.2
-Release: 0.5.fc5
+Version: 3.5.3
+Release: 0.1.fc5
 Epoch: 6
 Url: http://www.kde.org
 Group: User Interface/Desktops
@@ -37,7 +37,7 @@
 Source7: mailsettings.cc
 
 Patch0: kde-libtool.patch
-Patch1: kdebase-3.5.2-1-redhat.patch
+Patch1: kdebase-3.5.3-1-redhat.patch
 Patch2: kdebase-3.3.92-vroot.patch
 Patch3: kdebase-3.x-shortcuts.patch
 Patch4: kdebase-3.2.0-keymap.patch
@@ -54,11 +54,7 @@
 Patch15: kdebase-3.5.1-konsole-fonts.patch
 Patch16: kdebase-3.5.2-krdb-xresource.patch
 Patch17: kdebase-3.3.1-pam_krb5-bz#191049.patch
-
-# upstream patches
-Patch100: kdebase-3.5.2-kwin.patch
-Patch101: kdebase-3.5.2-kicker-konsole-bookmarks.patch
-Patch102: kdebase-3.5.2-konsole.patch
+Patch18: kdebase-3.5.2-kconf_update-klipper.patch
 
 Requires: kdelibs >= %{kdelibs_epoch}:%{version}
 Requires: libxml2 >= 2.6.5
@@ -104,6 +100,13 @@
 %ifnarch s390 s390x
 BuildPrereq: libraw1394-devel
 %endif
+BuildPrereq: libXdamage-devel
+BuildPrereq: libXcomposite-devel
+BuildPrereq: libXrender-devel
+BuildPrereq: libXfixes-devel
+BuildPrereq: pkgconfig
+BuildPrereq: autoconf
+BuildPrereq: automake
 
 %description
 Core applications for the K Desktop Environment.  Included are: kdm
@@ -146,11 +149,7 @@
 %patch15 -p1 -b .konsole-fonts
 %patch16 -p1 -b .krdb-xresource
 %patch17 -p1 -b .pam_krb5-bz#191049
-
-# upstream patches
-%patch100 -p1 -b .kwin
-%patch101 -p1 -b .kicker-konsole-bookmarks
-%patch102 -p1 -b .konsole
+%patch18 -p1 -b .klipper
 
 %if %{rhel}
    rm -rf kdeprint/kdeprintfax
@@ -514,6 +513,9 @@
 %{_includedir}/kde/ksplash/*
 
 %changelog
+* Thu Jun 08 2006 Than Ngo <than at redhat.com> 6:3.5.3-0.1.fc5
+- update to 3.5.3
+
 * Fri May 12 2006 Than Ngo <than at redhat.com> 6:3.5.2-0.5.fc5
 - fix 190836, xmTextFieldClass widgets don't work properly
 - fix 186425, KDE Terminal Sessions applet does not display konsole bookmarks


--- kdebase-3.5.2-1-redhat.patch DELETED ---


--- kdebase-3.5.2-kicker-konsole-bookmarks.patch DELETED ---


--- kdebase-3.5.2-konsole.patch DELETED ---


--- kdebase-3.5.2-kwin.patch DELETED ---




More information about the fedora-cvs-commits mailing list